﻿
$(document).ready(function () {
    var reportDayDifference = 0;
    var hiddenProjects = [];
    var chartTimeout;
    var chartLoaded = false;
    var chartCanLoad = true;
    var previousReportingData;
    
    /*-----------------------------------------------------
        Dynamic Chart
    -----------------------------------------------------*/
    // Generate the Dynamic Chart
    updateChart();
    function updateChart() {
        if (chartCanLoad) {
            var highestSection = 0;
            $.get(reportingDataUrl, function (data) {
                if (JSON.stringify(data) === JSON.stringify(previousReportingData)) {
                    // Do Nothing
                }
                else {
                    // Save the data
                    previousReportingData = data;
                    // Get the wrapper, its height and clear its HTML
                    var $report_wrapper = $("#reportWrapper").html("");
                    var $report_wrapper_height = $report_wrapper.height();
                    $("#reportDate").html(data.DateTitle);                                        
                    // Create the sections/bars
                    for (var i = 0; i < data.Sections.length; i++) {
                        // Append a section/bar
                        $report_wrapper.append('<div class="section new"><div class="reporting-container"></div><div class="title">' + data.Sections[i].Title + '</div></div>');
                        // Get the newly created section and its segment reporting-container
                        var $current_section = $report_wrapper.find(".section.new");
                        var $current_section_container = $current_section.find(".reporting-container");
                        // Add the segments
                        for (var ii = 0; ii < data.Sections[i].Instances.length; ii++) {
                            if ($.inArray(data.Sections[i].Instances[ii].ProjectID, hiddenProjects) === -1) {
                                // Prepend the segment
                                $current_section_container.prepend('<a href="#" class="segment new"></a>');
                                var $current_segment = $current_section_container.find(".segment.new");
                                var $current_segment_height = data.Sections[i].Instances[ii].Height;
                                var $current_segment_factor = 10 - ($current_segment_height * 0.5);
                                $current_segment.addClass(data.Sections[i].Instances[ii].Status);
                                $current_segment.height($current_segment_height * $current_segment_factor);
                                $current_segment.attr("title", data.Sections[i].Instances[ii].ProjectName);
                                $current_segment.attr("instance-id", data.Sections[i].Instances[ii].ID);
                                $current_segment.removeClass("new");
                            }
                        }
                        $current_section.removeClass("new");
                    }
                    $report_wrapper.find(".section .reporting-container").each(function () {
                        var sectionHeight = $(this).height();
                        if (sectionHeight > highestSection) {
                            highestSection = sectionHeight;
                        }
                    });
                    var factor = ($report_wrapper_height - 30) / highestSection;
                    $report_wrapper.find(".segment").each(function () {
                        $(this).outerHeight($(this).outerHeight() * factor);
                        $(this).click(function (e) {
                            var $instance = $(this);                            
                            $(".segment").removeClass("selected");
                            $instance.addClass("selected");

                            $.ajax({
                                type: "GET",
                                url: "/reporting/_instancedetails/" + $instance.attr("instance-id"),
                                success: function (data) {

                                    $("#instance-details").html(data);

                                    $('.inlinebar').sparkline('html', {
                                        type: 'bar',
                                        barWidth: 4,
                                        height: '80px',
                                        barColor: '#1ab394',
                                        negColor: '#ed5565',
                                        zeroColor: '#1ab394',
                                        disableTooltips: true,
                                        stackedBarColor: ['#1ab394', '#ed5565', '#f8ac59']
                                    });
                                }                         
                            });

                            return false;
                        });
                    });
                    
                    $report_wrapper.find(".section .reporting-container").each(function (index) {
                        var sectionPadding = $report_wrapper_height - $(this).height() - 3;
                        if (chartLoaded) {
                            $(this).css("paddingTop", sectionPadding);
                        }
                        else {
                            $(this).css("paddingTop", $report_wrapper_height);
                            $(this).delay(200).animate({ paddingTop: sectionPadding });                            
                        }
                    });
                    chartLoaded = true;
                }
                chartTimeout = setTimeout(updateChart, 2000);
            });
        }
        else {
            chartTimeout = setTimeout(updateChart, 2000);
        }
    }
    
    /*-----------------------------------------------------
    END - Dynamic Chart
    -----------------------------------------------------*/
});