﻿/* Delete the Ouvvi Services add back manually later! */
DELETE FROM [Services]
GO
/* Setup Configuration Changes (NOTE: UPDATE $$ values if running this manually!)*/
INSERT INTO [Configuration] ([Type], [Name], [Description], [Value]) VALUES (1, 'SaveChangeSets', 'Default Save Changeset Option.', 'True')
INSERT INTO [Configuration] ([Type], [Name], [Description], [Value]) VALUES (1, 'OperationLongPollTimeout', 'Number of seconds before the operation API poll times out.', '10')
INSERT INTO [Configuration] ([Type], [Name], [Description], [Value]) VALUES (1, 'InstanceId', 'The unique Ouvvi Instance ID.', '$instanceid$')
INSERT INTO [Configuration] ([Type], [Name], [Description], [Value]) VALUES (1, 'Timezone', 'Specify the standard time zone.', '$timezone$')
INSERT INTO [Configuration] ([Type], [Name], [Description], [Value]) VALUES (1, 'Locale', 'Select a locale from the list to specify the way the site displays numbers, dates, and time.', '$locale$')
INSERT INTO [Configuration] ([Type], [Name], [Description], [Value]) VALUES (2, 'ThisServiceEndpoint', 'The URL of this Instance.', '$thisserviceendpoint$')
INSERT INTO [Configuration] ([Type], [Name], [Description], [Value]) VALUES (1, 'DefaultProjectView', 'The default view to use for the Project List.', 'List')
GO
UPDATE [Configuration] SET [Description] = 'The number of seconds to wait before a step is triggered to be retried.', [Value] = '30' WHERE [Name] = 'MessageQueueSleep'
UPDATE [Configuration] SET [Value] = '15' WHERE [Name] = 'TriggerServiceLoopTimeout'
UPDATE [Configuration] SET [Type] = 2 WHERE [Name] = 'CSoftSMSAccountName'
UPDATE [Configuration] SET [Type] = 2 WHERE [Name] = 'CSoftSMSAccountPIN'
UPDATE [Configuration] SET [Value] = '0' WHERE [Name] = 'ServiceLoopTimeout'
GO
DELETE FROM [Configuration] WHERE [Name] = 'LogFolder'
DELETE FROM [Configuration] WHERE [Name] = 'ServiceCallbackPort'
DELETE FROM [Configuration] WHERE [Name] = 'ConnectionLibraryPath'
DELETE FROM [Configuration] WHERE [Name] = 'ValuesStoreService'
DELETE FROM [Configuration] WHERE [Name] = 'DataSyncInstallPath'
GO
UPDATE [Configuration] SET [Value] = '2.16' WHERE [Name] = 'SchemaVersion'
GO
/* Actual DB Schema Migration Below */
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Change] (
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[LastChange] datetime DEFAULT(getutcdate()) NOT NULL
)
GO
ALTER TABLE [dbo].[Change] ADD CONSTRAINT [PK_Change_1ADFB75C] PRIMARY KEY CLUSTERED ([UID] ASC) 
GO
BEGIN TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Projects_0A54A0D8] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[Index] int NOT NULL,
	[Group] nvarchar(255) NULL,
	[Name] nvarchar(255) NOT NULL,
	[Content1] nvarchar(MAX) NULL,
	[Content2] nvarchar(MAX) NULL,
	[Credentials] nvarchar(MAX) NULL,
	[Status] int DEFAULT(0) NOT NULL,
	[StartMode] int DEFAULT(0) NOT NULL,
	[Created] datetime DEFAULT(getutcdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL,
	[Updated] datetime NULL,
	[UpdatedBy] nvarchar(255) NULL,
	[LastInstanceID] bigint NULL,
	[LastSuccessfulRun] datetime NULL,
	[LastRun] datetime NULL,
	[Enabled] bit DEFAULT(1) NOT NULL,
	[Dashboard] int NULL
)
GO
ALTER TABLE [dbo].[Projects_0A54A0D8] ADD CONSTRAINT [tmp_PK_Projects_8A67DCB4] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[Projects_0A54A0D8] ON
GO
INSERT INTO [dbo].[Projects_0A54A0D8] ([ID] , [UID] , [Index] , [Name] , [Content1] , [Content2] , [Credentials] , [Status] , [StartMode] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] , [LastInstanceID] , [LastSuccessfulRun] , [LastRun] )
SELECT [ID] , [UID] , [Index] , [Name] , [Content1] , [Content2] , [Credentials] , [Status] , [StartMode] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] , [LastInstanceID] , [LastSuccessfulRun] , [LastRun] FROM [dbo].[Projects]
GO
SET IDENTITY_INSERT  [dbo].[Projects_0A54A0D8] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Projects]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Projects]
GO
sp_rename 'dbo.Projects_0A54A0D8', 'Projects', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_Projects_8A67DCB4', 'PK_Projects_8A67DCB4', 'OBJECT'
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
DROP INDEX [IX_Users_2EFD225E] ON [dbo].[Users]
GO
ALTER TABLE [dbo].[Users] DROP CONSTRAINT [IX_Users_A59886FE]
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Users_3B5EFC54] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[LogonName] nvarchar(255) NOT NULL,
	[Role] int DEFAULT(0) NOT NULL,
	[Enabled] bit DEFAULT(1) NOT NULL,
	[Created] datetime DEFAULT(getutcdate()) NULL,
	[Updated] datetime DEFAULT(getutcdate()) NULL
)
GO
ALTER TABLE [dbo].[Users_3B5EFC54] ADD CONSTRAINT [tmp_PK_Users_2060175B] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[Users_3B5EFC54] ON
GO
INSERT INTO [dbo].[Users_3B5EFC54] ([ID] , [Name] , [LogonName] , [Role] )
SELECT [ID] , [Name] , [LogonName] , [Role] FROM [dbo].[Users]
GO
SET IDENTITY_INSERT  [dbo].[Users_3B5EFC54] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Users]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Users]
GO
sp_rename 'dbo.Users_3B5EFC54', 'Users', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_Users_2060175B', 'PK_Users_2060175B', 'OBJECT'
GO
ALTER TABLE [dbo].[Users] ADD CONSTRAINT [IX_Users_A59886FE] UNIQUE NONCLUSTERED ([LogonName] ASC) 
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
DROP INDEX [IX_StepStatistics_610C4BDF] ON [dbo].[StepStatistics]
GO
DROP INDEX [IX_StepStatistics_BEA7F6E3] ON [dbo].[StepStatistics]
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[StepStatistics_04629A44] (
	[ID] bigint IDENTITY(1, 1) NOT NULL,
	[InstanceID] bigint NOT NULL,
	[ProjectID] int NOT NULL,
	[StepID] int NOT NULL,
	[StartTime] datetime DEFAULT(getutcdate()) NOT NULL,
	[EndTime] datetime DEFAULT(getutcdate()) NOT NULL,
	[SourceCount] int DEFAULT(0) NOT NULL,
	[TargetCount] int DEFAULT(0) NOT NULL,
	[TotalAddCount] int DEFAULT(0) NOT NULL,
	[TotalUpdateCount] int DEFAULT(0) NOT NULL,
	[TotalDeleteCount] int DEFAULT(0) NOT NULL,
	[Result] int DEFAULT(0) NOT NULL,
	[Expires] datetime NOT NULL
)
GO
ALTER TABLE [dbo].[StepStatistics_04629A44] ADD CONSTRAINT [tmp_PK__StepStat__3214EC2769C6B1F5] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[StepStatistics_04629A44] ON
GO
INSERT INTO [dbo].[StepStatistics_04629A44] ([ID] , [InstanceID] , [ProjectID] , [StepID] , [StartTime] , [EndTime] , [Result] , [Expires] )
SELECT [ID] , [InstanceID] , [ProjectID] , [StepID] , [StartTime] , [EndTime] , [Result] , [Expires] FROM [dbo].[StepStatistics] WHERE [Expires] > GETDATE()
GO
SET IDENTITY_INSERT  [dbo].[StepStatistics_04629A44] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepStatistics]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[StepStatistics]
GO
sp_rename 'dbo.StepStatistics_04629A44', 'StepStatistics', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK__StepStat__3214EC2769C6B1F5', 'PK__StepStat__3214EC2769C6B1F5', 'OBJECT'
GO
CREATE NONCLUSTERED INDEX [IX_StepStatistics_610C4BDF] ON [dbo].[StepStatistics] ([ProjectID]) 
GO
CREATE NONCLUSTERED INDEX [IX_StepStatistics_BEA7F6E3] ON [dbo].[StepStatistics] ([StepID]) 
GO
CREATE NONCLUSTERED INDEX [IX_StepStatistics_F407F3D7] ON [dbo].[StepStatistics] ([Expires]) 
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Steps_EFA442B5] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[ProjectID] int NOT NULL,
	[Index] int NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Content1] nvarchar(MAX) NULL,
	[Content2] nvarchar(MAX) NULL,
	[Status] int DEFAULT(0) NOT NULL,
	[Type] nvarchar(255) NOT NULL,
	[RunCondition] int DEFAULT(0) NOT NULL,
	[ConfigurationData] nvarchar(MAX) NULL,
	[DependencyName] nvarchar(50) NULL,
	[RetryCount] int DEFAULT(0) NOT NULL,
	[SaveQueueFailure] bit DEFAULT(0) NOT NULL,
	[Enabled] bit DEFAULT(1) NOT NULL,
	[Created] datetime DEFAULT(getutcdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL,
	[Updated] datetime NULL,
	[UpdatedBy] nvarchar(255) NULL,
	[LastInstanceID] bigint NULL,
	[LastSuccessfulRun] datetime NULL,
	[LastRun] datetime NULL
)
GO
ALTER TABLE [dbo].[Steps_EFA442B5] ADD CONSTRAINT [tmp_PK_Steps_198147FC] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[Steps_EFA442B5] ON
GO
INSERT INTO [dbo].[Steps_EFA442B5] ([ID] , [UID] , [ProjectID] , [Index] , [Name] , [Content1] , [Content2] , [Status] , [Type] , [RunCondition] , [ConfigurationData] , [DependencyName] , [RetryCount] , [SaveQueueFailure] , [Enabled] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] , [LastInstanceID] , [LastSuccessfulRun] , [LastRun] )
SELECT [ID] , [UID] , [ProjectID] , [Index] , [Name] , [Content1] , [Content2] , [Status] , [Type] , [RunCondition] , [ConfigurationData] , [DependencyName] , [RetryCount] , [SaveQueueFailure] , [Enabled] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] , [LastInstanceID] , [LastSuccessfulRun] , [LastRun] FROM [dbo].[Steps]
GO
SET IDENTITY_INSERT  [dbo].[Steps_EFA442B5] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Steps]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Steps]
GO
sp_rename 'dbo.Steps_EFA442B5', 'Steps', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_Steps_198147FC', 'PK_Steps_198147FC', 'OBJECT'
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Services_2A6E8D82] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[AgentName] nvarchar(50) NOT NULL,
	[ServiceName] nvarchar(50) NOT NULL,
	[StartMode] int DEFAULT(0) NOT NULL,
	[Type] nvarchar(255) NOT NULL,
	[Status] int DEFAULT(0) NOT NULL,
	[StartedAt] datetime NULL,
	[CheckPointAt] datetime NULL,
	[RunningAs] nvarchar(255) NULL,
	[DependencyName] nvarchar(50) NULL
)
GO
ALTER TABLE [dbo].[Services_2A6E8D82] ADD CONSTRAINT [tmp_PK_Services_0C18AB0B] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[Services_2A6E8D82] ON
GO
INSERT INTO [dbo].[Services_2A6E8D82] ([ID] , [ServiceName] , [StartMode] , [Type] , [Status] , [StartedAt] , [CheckPointAt] , [RunningAs] , [DependencyName] )
SELECT [ID] , [ServiceName] , [StartMode] , [Type] , [Status] , [StartedAt] , [CheckPointAt] , [RunningAs] , [DependencyName] FROM [dbo].[Services]
GO
SET IDENTITY_INSERT  [dbo].[Services_2A6E8D82] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Services]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Services]
GO
sp_rename 'dbo.Services_2A6E8D82', 'Services', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_Services_0C18AB0B', 'PK_Services_0C18AB0B', 'OBJECT'
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[StepChangeSets] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[InstanceID] bigint NOT NULL,
	[ProjectID] int NOT NULL,
	[StepID] int NOT NULL,
	[Data] varbinary(MAX) NULL,
	[Expires] datetime NOT NULL
)
GO
ALTER TABLE [dbo].[StepChangeSets] ADD CONSTRAINT [PK_StepChangeSets_A2FFD883] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Registry] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Description] nvarchar(MAX) NULL,
	[DataType] nvarchar(500) NULL,
	[Configuration] nvarchar(MAX) NULL,
	[Created] datetime DEFAULT(getutcdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NOT NULL,
	[Updated] datetime NULL,
	[UpdatedBy] nvarchar(255) NULL
)
GO
CREATE UNIQUE NONCLUSTERED INDEX [IX_Registry_6DE65D21] ON [dbo].[Registry] ([UID]) 
GO
ALTER TABLE [dbo].[Registry] ADD CONSTRAINT [PK_Registry_EC779030] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
BEGIN TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[StepHistory_FD64FFE0] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[ProjectID] int NOT NULL,
	[StepID] int NOT NULL,
	[Version] int DEFAULT(0) NOT NULL,
	[Index] int NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Content1] nvarchar(MAX) NULL,
	[Content2] nvarchar(MAX) NULL,
	[Type] nvarchar(255) NOT NULL,
	[RunCondition] int DEFAULT(0) NOT NULL,
	[ConfigurationData] nvarchar(MAX) NULL,
	[DependencyName] nvarchar(50) NULL,
	[RetryCount] int DEFAULT(0) NOT NULL,
	[SaveQueueFailure] bit DEFAULT(0) NOT NULL,
	[Enabled] bit DEFAULT(1) NOT NULL,
	[Created] datetime DEFAULT(getutcdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL,
	[Updated] datetime NULL,
	[UpdatedBy] nvarchar(255) NULL
)
GO
ALTER TABLE [dbo].[StepHistory_FD64FFE0] ADD CONSTRAINT [tmp_PK__StepHist__3214EC2718EBB532] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[StepHistory_FD64FFE0] ON
GO
INSERT INTO [dbo].[StepHistory_FD64FFE0] ([ID] , [ProjectID] , [StepID] , [Version] , [Index] , [Name] , [Content1] , [Content2] , [Type] , [RunCondition] , [ConfigurationData] , [DependencyName] , [RetryCount] , [SaveQueueFailure] , [Enabled] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] )
SELECT [ID] , [ProjectID] , [StepID] , [Version] , [Index] , [Name] , [Content1] , [Content2] , [Type] , [RunCondition] , [ConfigurationData] , [DependencyName] , [RetryCount] , [SaveQueueFailure] , [Enabled] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] FROM [dbo].[StepHistory]
GO
SET IDENTITY_INSERT  [dbo].[StepHistory_FD64FFE0] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepHistory]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[StepHistory]
GO
sp_rename 'dbo.StepHistory_FD64FFE0', 'StepHistory', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK__StepHist__3214EC2718EBB532', 'PK__StepHist__3214EC2718EBB532', 'OBJECT'
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
DROP INDEX [IX_Logs_55E3F07A] ON [dbo].[Logs]
GO
DROP INDEX [IX_Logs_CBB8851D] ON [dbo].[Logs]
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Logs_E47076B1] (
	[ID] bigint IDENTITY(1, 1) NOT NULL,
	[InstanceID] bigint NULL,
	[ProjectID] int NULL,
	[StepID] int NULL,
	[Category] nvarchar(255) NULL,
	[StartTime] datetime DEFAULT(getutcdate()) NOT NULL,
	[EndTime] datetime NULL,
	[Severity] int DEFAULT(0) NOT NULL,
	[Message] nvarchar(1024) NULL,
	[Trace] nvarchar(MAX) NULL,
	[Expires] datetime NULL
)
GO
ALTER TABLE [dbo].[Logs_E47076B1] ADD CONSTRAINT [tmp_PK_Logs_92A09A74] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[Logs_E47076B1] ON
GO
INSERT INTO [dbo].[Logs_E47076B1] ([ID] , [InstanceID] , [ProjectID] , [StepID] , [Category] , [StartTime] , [EndTime] , [Severity] , [Message] , [Trace] , [Expires] )
SELECT [ID] , [InstanceID] , [ProjectID] , [StepID] , [Category] , [StartTime] , [EndTime] , [Severity] , [Message] , [Trace] , [Expires] FROM [dbo].[Logs] WHERE [Expires] > GETDATE()
GO
SET IDENTITY_INSERT  [dbo].[Logs_E47076B1] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Logs]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Logs]
GO
sp_rename 'dbo.Logs_E47076B1', 'Logs', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_Logs_92A09A74', 'PK_Logs_92A09A74', 'OBJECT'
GO
CREATE NONCLUSTERED INDEX [IX_Logs_071F474A] ON [dbo].[Logs] ([Expires]) 
GO
CREATE NONCLUSTERED INDEX [IX_Logs_55E3F07A] ON [dbo].[Logs] ([InstanceID]) 
GO
CREATE NONCLUSTERED INDEX [IX_Logs_CBB8851D] ON [dbo].[Logs] ([StartTime]) 
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[QueueFailures_6213E0A9] (
	[ID] bigint IDENTITY(1, 1) NOT NULL,
	[QID] uniqueidentifier NULL,
	[ParentInstanceID] bigint DEFAULT(0) NOT NULL,
	[InstanceID] bigint NOT NULL,
	[ProjectID] int NOT NULL,
	[QueueName] nvarchar(50) NOT NULL,
	[DependencyName] nvarchar(50) NULL,
	[Name] nvarchar(255) NULL,
	[Data] nvarchar(MAX) NULL,
	[Context] nvarchar(MAX) NULL,
	[State] nvarchar(MAX) NULL,
	[QueueTime] datetime DEFAULT(getutcdate()) NOT NULL,
	[PopTime] datetime NULL,
	[SleepTime] int DEFAULT(0) NOT NULL,
	[RetryCount] int DEFAULT(0) NULL,
	[Status] tinyint DEFAULT(0) NOT NULL,
	[StatusMessage] nvarchar(MAX) NULL
)
GO
ALTER TABLE [dbo].[QueueFailures_6213E0A9] ADD CONSTRAINT [tmp_PK__QueueFai__3214EC270B5CAFEA] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[QueueFailures_6213E0A9] ON
GO
INSERT INTO [dbo].[QueueFailures_6213E0A9] ([ID] , [QID] , [InstanceID] , [ProjectID] , [QueueName] , [DependencyName] , [Name] , [Data] , [Context] , [QueueTime] , [PopTime] , [SleepTime] , [RetryCount] , [Status] , [StatusMessage] )
SELECT [ID] , [QID] , [InstanceID] , [ProjectID] , [QueueName] , [DependencyName] , [Name] , [Data] , [Context] , [QueueTime] , [PopTime] , [SleepTime] , [RetryCount] , [Status] , [StatusMessage] FROM [dbo].[QueueFailures]
GO
SET IDENTITY_INSERT  [dbo].[QueueFailures_6213E0A9] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueFailures]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[QueueFailures]
GO
sp_rename 'dbo.QueueFailures_6213E0A9', 'QueueFailures', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK__QueueFai__3214EC270B5CAFEA', 'PK__QueueFai__3214EC270B5CAFEA', 'OBJECT'
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
DROP INDEX [IX_Instance_4F167489] ON [dbo].[Instance]
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Instance_55EEF8D3] (
	[ID] bigint IDENTITY(1, 1) NOT NULL,
	[ParentInstanceID] bigint DEFAULT(0) NOT NULL,
	[ProjectID] int NOT NULL,
	[StartTime] datetime DEFAULT(getutcdate()) NOT NULL,
	[EndTime] datetime NULL,
	[Result] int DEFAULT(0) NULL,
	[Expires] datetime DEFAULT(getutcdate()) NOT NULL
)
GO
ALTER TABLE [dbo].[Instance_55EEF8D3] ADD CONSTRAINT [tmp_PK_Instance_92A09A72] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[Instance_55EEF8D3] ON
GO
INSERT INTO [dbo].[Instance_55EEF8D3] ([ID] , [ProjectID] , [StartTime] , [EndTime] , [Result] , [Expires] )
SELECT [ID] , [ProjectID] , [StartTime] , [EndTime] , [Result] , [Expires] FROM [dbo].[Instance] WHERE [Expires] > GETDATE()
GO
SET IDENTITY_INSERT  [dbo].[Instance_55EEF8D3] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Instance]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Instance]
GO
sp_rename 'dbo.Instance_55EEF8D3', 'Instance', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_Instance_92A09A72', 'PK_Instance_92A09A72', 'OBJECT'
GO
CREATE NONCLUSTERED INDEX [IX_Instance_4F167489] ON [dbo].[Instance] ([ProjectID]) 
GO
CREATE NONCLUSTERED INDEX [IX_Instance_918BFD4A] ON [dbo].[Instance] ([Expires]) 
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Queue_C86C2587] (
	[ID] bigint IDENTITY(1, 1) NOT NULL,
	[QID] uniqueidentifier NULL,
	[ParentInstanceID] bigint DEFAULT(0) NOT NULL,
	[InstanceID] bigint DEFAULT(0) NOT NULL,
	[ProjectID] int DEFAULT(0) NOT NULL,
	[QueueName] nvarchar(50) NOT NULL,
	[DependencyName] nvarchar(50) NULL,
	[BranchName] nvarchar(100) NULL,
	[Name] nvarchar(255) NULL,
	[Data] nvarchar(MAX) NULL,
	[Context] nvarchar(MAX) NULL,
	[State] nvarchar(MAX) NULL,
	[QueueTime] datetime DEFAULT(getutcdate()) NOT NULL,
	[PopTime] datetime NULL,
	[SleepTime] int DEFAULT(0) NOT NULL,
	[RetryCount] int DEFAULT(0) NULL,
	[Status] tinyint DEFAULT(0) NOT NULL,
	[StatusMessage] nvarchar(MAX) NULL
)
GO
ALTER TABLE [dbo].[Queue_C86C2587] ADD CONSTRAINT [tmp_PK__Queue__3214EC2722AA2996] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[Queue_C86C2587] ON
GO
INSERT INTO [dbo].[Queue_C86C2587] ([ID] , [QID] , [InstanceID] , [ProjectID] , [QueueName] , [DependencyName] , [BranchName] , [Name] , [Data] , [Context] , [QueueTime] , [PopTime] , [SleepTime] , [RetryCount] , [Status] , [StatusMessage] )
SELECT [ID] , [QID] , [InstanceID] , [ProjectID] , [QueueName] , [DependencyName] , [BranchName] , [Name] , [Data] , [Context] , [QueueTime] , [PopTime] , [SleepTime] , [RetryCount] , [Status] , [StatusMessage] FROM [dbo].[Queue]
GO
SET IDENTITY_INSERT  [dbo].[Queue_C86C2587] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Queue]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Queue]
GO
sp_rename 'dbo.Queue_C86C2587', 'Queue', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK__Queue__3214EC2722AA2996', 'PK__Queue__3214EC2722AA2996', 'OBJECT'
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
ALTER TABLE [dbo].[ProjectTriggers] DROP CONSTRAINT [IX_ProjectTriggers_9D333506]
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[ProjectTriggers_9FC163CA] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[ProjectID] int NOT NULL,
	[TriggerID] int NOT NULL,
	[Created] datetime DEFAULT(getutcdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL
)
GO
ALTER TABLE [dbo].[ProjectTriggers_9FC163CA] ADD CONSTRAINT [tmp_PK_ProjectTriggers_E9FFF09A] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[ProjectTriggers_9FC163CA] ON
GO
INSERT INTO [dbo].[ProjectTriggers_9FC163CA] ([ID] , [UID] , [ProjectID] , [TriggerID] , [Created] , [CreatedBy] )
SELECT [ID] , [UID] , [ProjectID] , [TriggerID] , [Created] , [CreatedBy] FROM [dbo].[ProjectTriggers]
GO
SET IDENTITY_INSERT  [dbo].[ProjectTriggers_9FC163CA] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectTriggers]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[ProjectTriggers]
GO
sp_rename 'dbo.ProjectTriggers_9FC163CA', 'ProjectTriggers', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_ProjectTriggers_E9FFF09A', 'PK_ProjectTriggers_E9FFF09A', 'OBJECT'
GO
ALTER TABLE [dbo].[ProjectTriggers] ADD CONSTRAINT [IX_ProjectTriggers_9D333506] UNIQUE NONCLUSTERED ([ProjectID] ASC, [TriggerID] ASC) 
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Triggers_F2E8A884] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[QID] uniqueidentifier NULL,
	[Name] nvarchar(50) NOT NULL,
	[Content1] nvarchar(MAX) NULL,
	[Type] nvarchar(255) DEFAULT(0) NOT NULL,
	[ConfigurationData] nvarchar(MAX) NULL,
	[DependencyName] nvarchar(50) NULL,
	[Status] int DEFAULT(0) NOT NULL,
	[LastRun] datetime NULL,
	[CurrentValue] bigint DEFAULT(0) NOT NULL,
	[PreviousValue] bigint DEFAULT(0) NOT NULL,
	[Created] datetime DEFAULT(getutcdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL,
	[Updated] datetime NULL,
	[UpdatedBy] nvarchar(255) NULL
)
GO
ALTER TABLE [dbo].[Triggers_F2E8A884] ADD CONSTRAINT [tmp_PK_Triggers_F19A8C73] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[Triggers_F2E8A884] ON
GO
INSERT INTO [dbo].[Triggers_F2E8A884] ([ID] , [UID] , [Name] , [Content1] , [Type] , [ConfigurationData] , [Status] , [LastRun] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] )
SELECT [ID] , [UID] , [Name] , [Content1] , [Type] , [ConfigurationData] , [Status] , [LastRun] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] FROM [dbo].[Triggers]
GO
SET IDENTITY_INSERT  [dbo].[Triggers_F2E8A884] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Triggers]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Triggers]
GO
sp_rename 'dbo.Triggers_F2E8A884', 'Triggers', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_Triggers_F19A8C73', 'PK_Triggers_F19A8C73', 'OBJECT'
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Groups] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Description] nvarchar(MAX) NULL
)
GO
ALTER TABLE [dbo].[Groups] ADD CONSTRAINT [PK_Groups_2E3DFFBC] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
INSERT INTO [dbo].[Groups] ([Name])
SELECT DISTINCT [Group] FROM [dbo].[Projects] WHERE [Group] IS NOT NULL AND [Group] NOT IN (SELECT [Name] FROM [dbo].[Groups]) ORDER BY [Group] 
GO
CREATE TABLE [dbo].[Dashboards] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Description] nvarchar(MAX) NULL,
	[DefaultView] int DEFAULT(0) NOT NULL
)
GO
ALTER TABLE [dbo].[Dashboards] ADD CONSTRAINT [PK_Dashboards_C7636439] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Handlers]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Handlers]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepStatisticsDelete]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepStatisticsDelete]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepsIndexUpdate]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepsIndexUpdate]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepStart]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepStart]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepHistoryGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepHistoryGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepsIndexGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepsIndexGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepStatisticGetLastSuccessfulRun]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepStatisticGetLastSuccessfulRun]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepsGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepsGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepHistoryGetListByStep]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepHistoryGetListByStep]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepDelete]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepDelete]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepGetNext]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepGetNext]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepEnd]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepEnd]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepHistoryInsert]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepHistoryInsert]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepStatisticsGetStatsList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepStatisticsGetStatsList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepStatisticsGetStatsListByProject]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepStatisticsGetStatsListByProject]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepStatisticsGetStatsListPeriod]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepStatisticsGetStatsListPeriod]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepStatisticsInsert]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepStatisticsInsert]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepStatisticsStatGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepStatisticsStatGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepUpdate]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepUpdate]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepStatisticsGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepStatisticsGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepInsert]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepInsert]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[StepsGetListFavourite]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[StepsGetListFavourite]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[TriggerGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[TriggerGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[LiveFeedGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[LiveFeedGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[LogGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[LogGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[LogGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[LogGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[LogGetListByInstance]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[LogGetListByInstance]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[LogINSERT]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[LogINSERT]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[LogsDELETE]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[LogsDELETE]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectAbortDelete]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectAbortDelete]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectAbortGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectAbortGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectAbortInsert]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectAbortInsert]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectDelete]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectDelete]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectEnd]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectEnd]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectGetByName]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectGetByName]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectInsert]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectInsert]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectsByTriggerGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectsByTriggerGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectsGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectsGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectsIndexGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectsIndexGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[InstanceUpdate]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[InstanceUpdate]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectsIndexUpdate]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectsIndexUpdate]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[InstancePeriodGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[InstancePeriodGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[InstanceGetListByProject]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[InstanceGetListByProject]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[AssembliesGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[AssembliesGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[AssemblyGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[AssemblyGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[AssemblyGetAssembly]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[AssemblyGetAssembly]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[AssemblyGetByName]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[AssemblyGetByName]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[AssemblyInsert]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[AssemblyInsert]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[AssemblyUpdate]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[AssemblyUpdate]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ConfigurationDelete]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ConfigurationDelete]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ConfigurationListGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ConfigurationListGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ConfigurationUpdate]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ConfigurationUpdate]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[HandlerGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[HandlerGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[HandlerGetByName]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[HandlerGetByName]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[HandlerInsert]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[HandlerInsert]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[HandlersGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[HandlersGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[HandlerUpdate]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[HandlerUpdate]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[InsertHandler]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[InsertHandler]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[InstanceGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[InstanceGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[InstanceGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[InstanceGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[InstanceInsert]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[InstanceInsert]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectStart]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectStart]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[TriggerDelete]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[TriggerDelete]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectTriggerDelete]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectTriggerDelete]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ServicesGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ServicesGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ServicesInsert]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ServicesInsert]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ServicesUpdateStatus]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ServicesUpdateStatus]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[UserUpdate]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[UserUpdate]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[UsersGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[UsersGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[UserInsert]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[UserInsert]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[UserGetRoleList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[UserGetRoleList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ServicesGetAllList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ServicesGetAllList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[UserGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[UserGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[TriggerUpdateLastRunWindow]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[TriggerUpdateLastRunWindow]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[TriggerUpdateLastRun]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[TriggerUpdateLastRun]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[TriggerUpdate]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[TriggerUpdate]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[TriggersGetListByProject]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[TriggersGetListByProject]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[TriggersGetList]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[TriggersGetList]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[TriggerInsert]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[TriggerInsert]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectStatusRestart]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectStatusRestart]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[UserDelete]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[UserDelete]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ServicesCheckPointStatus]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ServicesCheckPointStatus]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[TriggersGetListRecent]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[TriggersGetListRecent]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ReportInstanceSummary]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ReportInstanceSummary]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectTriggerInsert]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectTriggerInsert]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectUpdate]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[ProjectUpdate]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueFailureDelete]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueFailureDelete]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueFailuresListGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueFailuresListGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueFailuresMessagePUSH]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueFailuresMessagePUSH]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueListGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueListGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueMessageCOUNT]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueMessageCOUNT]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueMessageDELETE]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueMessageDELETE]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueMessagePEEK]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueMessagePEEK]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueFailureGet]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueFailureGet]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueMessagePEEKByProjectID]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueMessagePEEKByProjectID]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueMessagePOP]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueMessagePOP]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueMessageRETRY]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueMessageRETRY]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueMessagePOPDependency]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueMessagePOPDependency]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueMessagePUSH]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueMessagePUSH]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueMessageREQUEUE]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueMessageREQUEUE]
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[QueueMessagePEEKByInstanceID]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[QueueMessagePEEKByInstanceID]
GO
