﻿SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[ProjectAbort] (
	[InstanceID] bigint NOT NULL,
	[Expires] datetime DEFAULT(getutcdate()) NOT NULL
)
GO
ALTER TABLE [dbo].[ProjectAbort] ADD CONSTRAINT [PK_ProjectAbort_FDC530AC] PRIMARY KEY CLUSTERED ([InstanceID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Change] (
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[LastChange] datetime DEFAULT(getutcdate()) NOT NULL
)
GO
ALTER TABLE [dbo].[Change] ADD CONSTRAINT [PK_Change_1ADFB75C] PRIMARY KEY CLUSTERED ([UID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Projects] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[Index] int NOT NULL,
	[Group] nvarchar(255) NULL,
	[Name] nvarchar(255) NOT NULL,
	[Content1] nvarchar(MAX) NULL,
	[Content2] nvarchar(MAX) NULL,
	[Credentials] nvarchar(MAX) NULL,
	[Status] int DEFAULT(0) NOT NULL,
	[StartMode] int DEFAULT(0) NOT NULL,
	[Created] datetime DEFAULT(getutcdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL,
	[Updated] datetime NULL,
	[UpdatedBy] nvarchar(255) NULL,
	[LastInstanceID] bigint NULL,
	[LastSuccessfulRun] datetime NULL,
	[LastRun] datetime NULL,
	[Enabled] bit DEFAULT(1) NOT NULL,
	[Dashboard] int NULL
)
GO
ALTER TABLE [dbo].[Projects] ADD CONSTRAINT [PK_Projects_8A67DCB4] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Groups] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Description] nvarchar(MAX) NULL
)
GO
ALTER TABLE [dbo].[Groups] ADD CONSTRAINT [PK_Groups_2E3DFFBC] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
CREATE TABLE [dbo].[Dashboards] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Description] nvarchar(MAX) NULL,
	[DefaultView] int DEFAULT(0) NOT NULL
)
GO
ALTER TABLE [dbo].[Dashboards] ADD CONSTRAINT [PK_Dashboards_C7636439] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Users] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[LogonName] nvarchar(255) NOT NULL,
	[Role] int DEFAULT(0) NOT NULL,
	[Enabled] bit DEFAULT(1) NOT NULL,
	[Created] datetime DEFAULT(getutcdate()) NULL,
	[Updated] datetime DEFAULT(getutcdate()) NULL
)
GO
ALTER TABLE [dbo].[Users] ADD CONSTRAINT [IX_Users_A59886FE] UNIQUE NONCLUSTERED ([LogonName] ASC) 
GO
ALTER TABLE [dbo].[Users] ADD CONSTRAINT [PK_Users_2060175B] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[StepStatistics] (
	[ID] bigint IDENTITY(1, 1) NOT NULL,
	[InstanceID] bigint NOT NULL,
	[ProjectID] int NOT NULL,
	[StepID] int NOT NULL,
	[StartTime] datetime DEFAULT(getutcdate()) NOT NULL,
	[EndTime] datetime DEFAULT(getutcdate()) NOT NULL,
	[SourceCount] int DEFAULT(0) NOT NULL,
	[TargetCount] int DEFAULT(0) NOT NULL,
	[TotalAddCount] int DEFAULT(0) NOT NULL,
	[TotalUpdateCount] int DEFAULT(0) NOT NULL,
	[TotalDeleteCount] int DEFAULT(0) NOT NULL,
	[Result] int DEFAULT(0) NOT NULL,
	[Expires] datetime NOT NULL
)
GO
CREATE NONCLUSTERED INDEX [IX_StepStatistics_610C4BDF] ON [dbo].[StepStatistics] ([ProjectID]) 
GO
CREATE NONCLUSTERED INDEX [IX_StepStatistics_BEA7F6E3] ON [dbo].[StepStatistics] ([StepID]) 
GO
CREATE NONCLUSTERED INDEX [IX_StepStatistics_F407F3D7] ON [dbo].[StepStatistics] ([Expires]) 
GO
ALTER TABLE [dbo].[StepStatistics] ADD CONSTRAINT [PK__StepStat__3214EC2769C6B1F5] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Steps] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[ProjectID] int NOT NULL,
	[Index] int NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Content1] nvarchar(MAX) NULL,
	[Content2] nvarchar(MAX) NULL,
	[Status] int DEFAULT(0) NOT NULL,
	[Type] nvarchar(255) NOT NULL,
	[RunCondition] int DEFAULT(0) NOT NULL,
	[ConfigurationData] nvarchar(MAX) NULL,
	[DependencyName] nvarchar(50) NULL,
	[RetryCount] int DEFAULT(0) NOT NULL,
	[SaveQueueFailure] bit DEFAULT(0) NOT NULL,
	[Enabled] bit DEFAULT(1) NOT NULL,
	[Created] datetime DEFAULT(getutcdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL,
	[Updated] datetime NULL,
	[UpdatedBy] nvarchar(255) NULL,
	[LastInstanceID] bigint NULL,
	[LastSuccessfulRun] datetime NULL,
	[LastRun] datetime NULL
)
GO
ALTER TABLE [dbo].[Steps] ADD CONSTRAINT [PK_Steps_198147FC] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
CREATE NONCLUSTERED INDEX [IX_Steps_E7B85362] ON [dbo].[Steps] ([Type])
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Services] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[AgentName] nvarchar(50) NOT NULL,
	[ServiceName] nvarchar(50) NOT NULL,
	[StartMode] int DEFAULT(0) NOT NULL,
	[Type] nvarchar(255) NOT NULL,
	[Status] int DEFAULT(0) NOT NULL,
	[StartedAt] datetime NULL,
	[CheckPointAt] datetime NULL,
	[RunningAs] nvarchar(255) NULL,
	[DependencyName] nvarchar(50) NULL
)
GO
ALTER TABLE [dbo].[Services] ADD CONSTRAINT [PK_Services_0C18AB0B] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[StepChangeSets] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[InstanceID] bigint NOT NULL,
	[ProjectID] int NOT NULL,
	[StepID] int NOT NULL,
	[Data] varbinary(MAX) NULL,
	[Expires] datetime NOT NULL
)
GO
ALTER TABLE [dbo].[StepChangeSets] ADD CONSTRAINT [PK_StepChangeSets_A2FFD883] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Registry] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Description] nvarchar(MAX) NULL,
	[DataType] nvarchar(500) NULL,
	[Configuration] nvarchar(MAX) NULL,
	[Created] datetime DEFAULT(getutcdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NOT NULL,
	[Updated] datetime NULL,
	[UpdatedBy] nvarchar(255) NULL
)
GO
CREATE UNIQUE NONCLUSTERED INDEX [IX_Registry_6DE65D21] ON [dbo].[Registry] ([UID]) 
GO
ALTER TABLE [dbo].[Registry] ADD CONSTRAINT [PK_Registry_EC779030] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[StepHistory] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[ProjectID] int NOT NULL,
	[StepID] int NOT NULL,
	[Version] int DEFAULT(0) NOT NULL,
	[Index] int NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Content1] nvarchar(MAX) NULL,
	[Content2] nvarchar(MAX) NULL,
	[Type] nvarchar(255) NOT NULL,
	[RunCondition] int DEFAULT(0) NOT NULL,
	[ConfigurationData] nvarchar(MAX) NULL,
	[DependencyName] nvarchar(50) NULL,
	[RetryCount] int DEFAULT(0) NOT NULL,
	[SaveQueueFailure] bit DEFAULT(0) NOT NULL,
	[Enabled] bit DEFAULT(1) NOT NULL,
	[Created] datetime DEFAULT(getutcdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL,
	[Updated] datetime NULL,
	[UpdatedBy] nvarchar(255) NULL
)
GO
ALTER TABLE [dbo].[StepHistory] ADD CONSTRAINT [PK__StepHist__3214EC2718EBB532] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Assemblies] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[FileName] nvarchar(260) NOT NULL,
	[Load] bit DEFAULT(1) NOT NULL,
	[AssemblyData] image NULL
)
GO
ALTER TABLE [dbo].[Assemblies] ADD CONSTRAINT [PK_Assemblies_13498B52] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Logs] (
	[ID] bigint IDENTITY(1, 1) NOT NULL,
	[InstanceID] bigint NULL,
	[ProjectID] int NULL,
	[StepID] int NULL,
	[Category] nvarchar(255) NULL,
	[StartTime] datetime DEFAULT(getutcdate()) NOT NULL,
	[EndTime] datetime NULL,
	[Severity] int DEFAULT(0) NOT NULL,
	[Message] nvarchar(1024) NULL,
	[Trace] nvarchar(MAX) NULL,
	[Expires] datetime NULL
)
GO
CREATE NONCLUSTERED INDEX [IX_Logs_55E3F07A] ON [dbo].[Logs] ([InstanceID]) 
GO
CREATE NONCLUSTERED INDEX [IX_Logs_CBB8851D] ON [dbo].[Logs] ([StartTime]) 
GO
CREATE NONCLUSTERED INDEX [IX_Logs_071F474A] ON [dbo].[Logs] ([Expires]) 
GO
ALTER TABLE [dbo].[Logs] ADD CONSTRAINT [PK_Logs_92A09A74] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[QueueFailures] (
	[ID] bigint IDENTITY(1, 1) NOT NULL,
	[QID] uniqueidentifier NULL,
	[ParentInstanceID] bigint DEFAULT(0) NOT NULL,
	[InstanceID] bigint NOT NULL,
	[ProjectID] int NOT NULL,
	[QueueName] nvarchar(50) NOT NULL,
	[DependencyName] nvarchar(50) NULL,
	[Name] nvarchar(255) NULL,
	[Data] nvarchar(MAX) NULL,
	[Context] nvarchar(MAX) NULL,
	[State] nvarchar(MAX) NULL,	
	[QueueTime] datetime DEFAULT(getutcdate()) NOT NULL,
	[PopTime] datetime NULL,
	[SleepTime] int DEFAULT(0) NOT NULL,
	[RetryCount] int DEFAULT(0) NULL,
	[Status] tinyint DEFAULT(0) NOT NULL,
	[StatusMessage] nvarchar(MAX) NULL
)
GO
ALTER TABLE [dbo].[QueueFailures] ADD CONSTRAINT [PK__QueueFai__3214EC270B5CAFEA] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Instance] (
	[ID] bigint IDENTITY(1, 1) NOT NULL,
	[ParentInstanceID] bigint DEFAULT(0) NOT NULL,
	[ProjectID] int NOT NULL,
	[StartTime] datetime DEFAULT(getutcdate()) NOT NULL,
	[EndTime] datetime NULL,
	[Result] int DEFAULT(0) NULL,
	[Expires] datetime DEFAULT(getutcdate()) NOT NULL
)
GO
CREATE NONCLUSTERED INDEX [IX_Instance_4F167489] ON [dbo].[Instance] ([ProjectID]) 
GO
CREATE NONCLUSTERED INDEX [IX_Instance_918BFD4A] ON [dbo].[Instance] ([Expires]) 
GO
CREATE NONCLUSTERED INDEX [IX_Instance_60EEDFE5] ON [dbo].[Instance] ([StartTime]) INCLUDE ([ID],[ProjectID],[EndTime],[Result])
GO
ALTER TABLE [dbo].[Instance] ADD CONSTRAINT [PK_Instance_92A09A72] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Queue] (
	[ID] bigint IDENTITY(1, 1) NOT NULL,
	[QID] uniqueidentifier NULL,
	[ParentInstanceID] bigint DEFAULT(0) NOT NULL,
	[InstanceID] bigint DEFAULT(0) NOT NULL,
	[ProjectID] int DEFAULT(0) NOT NULL,
	[QueueName] nvarchar(50) NOT NULL,
	[DependencyName] nvarchar(50) NULL,
	[BranchName] nvarchar(100) NULL,
	[Name] nvarchar(255) NULL,
	[Data] nvarchar(MAX) NULL,
	[Context] nvarchar(MAX) NULL,
	[State] nvarchar(MAX) NULL,
	[QueueTime] datetime DEFAULT(getutcdate()) NOT NULL,
	[PopTime] datetime NULL,
	[SleepTime] int DEFAULT(0) NOT NULL,
	[RetryCount] int DEFAULT(0) NULL,
	[Status] tinyint DEFAULT(0) NOT NULL,
	[StatusMessage] nvarchar(MAX) NULL
)
GO
ALTER TABLE [dbo].[Queue] ADD CONSTRAINT [PK__Queue__3214EC2722AA2996] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[ProjectTriggers] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[ProjectID] int NOT NULL,
	[TriggerID] int NOT NULL,
	[Created] datetime DEFAULT(getutcdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL
)
GO
ALTER TABLE [dbo].[ProjectTriggers] ADD CONSTRAINT [IX_ProjectTriggers_9D333506] UNIQUE NONCLUSTERED ([ProjectID] ASC, [TriggerID] ASC) 
GO
ALTER TABLE [dbo].[ProjectTriggers] ADD CONSTRAINT [PK_ProjectTriggers_E9FFF09A] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Configuration] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[Type] int DEFAULT(0) NOT NULL,
	[Name] nvarchar(50) NOT NULL,
	[Description] nvarchar(255) NULL,
	[Value] nvarchar(MAX) NULL
)
GO
ALTER TABLE [dbo].[Configuration] ADD CONSTRAINT [PK_Configuration_CFB7A095] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Triggers] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[QID] uniqueidentifier NULL,
	[Name] nvarchar(50) NOT NULL,
	[Content1] nvarchar(MAX) NULL,
	[Type] nvarchar(255) DEFAULT(0) NOT NULL,
	[ConfigurationData] nvarchar(MAX) NULL,
	[DependencyName] nvarchar(50) NULL,
	[Status] int DEFAULT(0) NOT NULL,
	[LastRun] datetime NULL,
	[CurrentValue] bigint DEFAULT(0) NOT NULL,
	[PreviousValue] bigint DEFAULT(0) NOT NULL,
	[Created] datetime DEFAULT(getutcdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL,
	[Updated] datetime NULL,
	[UpdatedBy] nvarchar(255) NULL
)
GO
ALTER TABLE [dbo].[Triggers] ADD CONSTRAINT [PK_Triggers_F19A8C73] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
