﻿BEGIN TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Steps_C633AE9B] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[ProjectID] int NOT NULL,
	[Index] int NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Content1] ntext NULL,
	[Content2] ntext NULL,
	[Status] int DEFAULT(0) NOT NULL,
	[Type] nvarchar(255) NOT NULL,
	[RunCondition] int DEFAULT(0) NOT NULL,
	[ConfigurationData] ntext NULL,
	[DependencyName] nvarchar(50) NULL,
	[RetryCount] int DEFAULT(0) NOT NULL,
	[SaveQueueFailure] bit DEFAULT(0) NOT NULL,
	[Enabled] bit DEFAULT(1) NOT NULL,
	[Created] datetime DEFAULT(getdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL,
	[Updated] datetime NULL,
	[UpdatedBy] nvarchar(255) NULL,
	[LastInstanceID] bigint NULL,
	[LastSuccessfulRun] datetime NULL,
	[LastRun] datetime NULL
)
GO
ALTER TABLE [dbo].[Steps_C633AE9B] ADD CONSTRAINT [tmp_PK_Steps_198147FC] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[Steps_C633AE9B] ON
GO
INSERT INTO [dbo].[Steps_C633AE9B] ([ID] , [ProjectID] , [Index] , [Name] , [Content1] , [Content2] , [Status] , [Type] , [RunCondition] , [ConfigurationData] , [DependencyName] , [RetryCount] , [SaveQueueFailure] , [Enabled] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] , [LastInstanceID] , [LastSuccessfulRun] , [LastRun] )
SELECT [ID] , [ProjectID] , [Index] , [Name] , [Content1] , [Content2] , [Status] , [Type] , [RunCondition] , [ConfigurationData] , [DependencyName] , [RetryCount] , [SaveQueueFailure] , [Enabled] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] , [LastInstanceID] , [LastSuccessfulRun] , [LastRun] FROM [dbo].[Steps]
GO
SET IDENTITY_INSERT  [dbo].[Steps_C633AE9B] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Steps]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Steps]
GO
sp_rename 'dbo.Steps_C633AE9B', 'Steps', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_Steps_198147FC', 'PK_Steps_198147FC', 'OBJECT'
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
ALTER TABLE [dbo].[ProjectTriggers] DROP CONSTRAINT [IX_ProjectTriggers_9D333506]
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[ProjectTriggers_690EF398] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[ProjectID] int NOT NULL,
	[TriggerID] int NOT NULL,
	[Created] datetime DEFAULT(getdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL
)
GO
ALTER TABLE [dbo].[ProjectTriggers_690EF398] ADD CONSTRAINT [tmp_PK_ProjectTriggers_E9FFF09A] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[ProjectTriggers_690EF398] ON
GO
INSERT INTO [dbo].[ProjectTriggers_690EF398] ([ID] , [ProjectID] , [TriggerID] , [Created] , [CreatedBy] )
SELECT [ID] , [ProjectID] , [TriggerID] , [Created] , [CreatedBy] FROM [dbo].[ProjectTriggers]
GO
SET IDENTITY_INSERT  [dbo].[ProjectTriggers_690EF398] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[ProjectTriggers]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[ProjectTriggers]
GO
sp_rename 'dbo.ProjectTriggers_690EF398', 'ProjectTriggers', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_ProjectTriggers_E9FFF09A', 'PK_ProjectTriggers_E9FFF09A', 'OBJECT'
GO
ALTER TABLE [dbo].[ProjectTriggers] ADD CONSTRAINT [IX_ProjectTriggers_9D333506] UNIQUE NONCLUSTERED ([ProjectID] ASC, [TriggerID] ASC) 
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Projects_3978D7BF] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[Index] int NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Content1] ntext NULL,
	[Content2] ntext NULL,
	[Credentials] ntext NULL,
	[Status] int DEFAULT(0) NOT NULL,
	[StartMode] int DEFAULT(0) NOT NULL,
	[Created] datetime DEFAULT(getdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL,
	[Updated] datetime NULL,
	[UpdatedBy] nvarchar(255) NULL,
	[LastInstanceID] bigint NULL,
	[LastSuccessfulRun] datetime NULL,
	[LastRun] datetime NULL
)
GO
ALTER TABLE [dbo].[Projects_3978D7BF] ADD CONSTRAINT [tmp_PK_Projects_8A67DCB4] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[Projects_3978D7BF] ON
GO
INSERT INTO [dbo].[Projects_3978D7BF] ([ID] , [Index] , [Name] , [Content1] , [Content2] , [Credentials] , [Status] , [StartMode] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] , [LastInstanceID] , [LastSuccessfulRun] , [LastRun] )
SELECT [ID] , [Index] , [Name] , [Content1] , [Content2] , [Credentials] , [Status] , [StartMode] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] , [LastInstanceID] , [LastSuccessfulRun] , [LastRun] FROM [dbo].[Projects]
GO
SET IDENTITY_INSERT  [dbo].[Projects_3978D7BF] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Projects]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Projects]
GO
sp_rename 'dbo.Projects_3978D7BF', 'Projects', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_Projects_8A67DCB4', 'PK_Projects_8A67DCB4', 'OBJECT'
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Triggers_A9784792] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[Name] nvarchar(50) NOT NULL,
	[Content1] ntext NULL,
	[Type] nvarchar(255) DEFAULT(0) NOT NULL,
	[ConfigurationData] ntext NULL,
	[Status] int DEFAULT(0) NOT NULL,
	[LastRun] datetime NULL,
	[ViewControl] nvarchar(255) NULL,
	[EditControl] nvarchar(255) NULL,
	[Created] datetime DEFAULT(getdate()) NOT NULL,
	[CreatedBy] nvarchar(255) NULL,
	[Updated] datetime NULL,
	[UpdatedBy] nvarchar(255) NULL
)
GO
ALTER TABLE [dbo].[Triggers_A9784792] ADD CONSTRAINT [tmp_PK_Triggers_F19A8C73] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[Triggers_A9784792] ON
GO
INSERT INTO [dbo].[Triggers_A9784792] ([ID] , [Name] , [Content1] , [Type] , [ConfigurationData] , [Status] , [LastRun] , [ViewControl] , [EditControl] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] )
SELECT [ID] , [Name] , [Content1] , [Type] , [ConfigurationData] , [Status] , [LastRun] , [ViewControl] , [EditControl] , [Created] , [CreatedBy] , [Updated] , [UpdatedBy] FROM [dbo].[Triggers]
GO
SET IDENTITY_INSERT  [dbo].[Triggers_A9784792] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Triggers]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Triggers]
GO
sp_rename 'dbo.Triggers_A9784792', 'Triggers', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_Triggers_F19A8C73', 'PK_Triggers_F19A8C73', 'OBJECT'
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
BEGIN TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Logs_8ADADC66] (
	[ID] bigint IDENTITY(1, 1) NOT NULL,
	[InstanceID] bigint NULL,
	[ProjectID] int NULL,
	[StepID] int NULL,
	[Category] nvarchar(255) NULL,
	[StartTime] datetime DEFAULT(getdate()) NOT NULL,
	[EndTime] datetime NULL,
	[Severity] int DEFAULT(0) NOT NULL,
	[Message] nvarchar(1024) NULL,
	[Trace] ntext NULL,
	[Expires] datetime NULL
)
GO
ALTER TABLE [dbo].[Logs_8ADADC66] ADD CONSTRAINT [tmp_PK_Logs_92A09A74] PRIMARY KEY CLUSTERED ([ID] ASC)
GO
SET IDENTITY_INSERT [dbo].[Logs_8ADADC66] ON
GO
INSERT INTO [dbo].[Logs_8ADADC66] ([ID] , [InstanceID] , [ProjectID] , [StepID] , [Category] , [StartTime] , [EndTime] , [Severity] , [Message] , [Trace] , [Expires] )
SELECT [ID] , [InstanceID] , [ProjectID] , [StepID] , [Category] , [StartTime] , [EndTime] , [Severity] , [Message] , [Trace] , [Expires] FROM [dbo].[Logs]
GO
SET IDENTITY_INSERT  [dbo].[Logs_8ADADC66] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Logs]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Logs]
GO
sp_rename 'dbo.Logs_8ADADC66', 'Logs', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_Logs_92A09A74', 'PK_Logs_92A09A74', 'OBJECT'
GO
CREATE NONCLUSTERED INDEX [IX_Logs_55E3F07A] ON [dbo].[Logs] ([InstanceID]) 
GO
CREATE NONCLUSTERED INDEX [IX_Logs_CBB8851D] ON [dbo].[Logs] ([StartTime]) 
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
------------------------------------------------------------------------------------------------------------------------
-- Date Created: 30 December 2009
-- Created By: Sean Cleaver  
------------------------------------------------------------------------------------------------------------------------

ALTER PROCEDURE [dbo].[StepStart]
	
	@ID int,
	@ProjectID int,
	@InstanceID bigint,
	@StartTime datetime
AS

SET NOCOUNT ON

UPDATE [Projects]
	SET 	
	[Status] = 1, --Running
	[LastInstanceID] = @InstanceID,
	[LastRun] = @StartTime
WHERE 
	[ID] = @ProjectID

UPDATE [Steps]
	SET 	
	[Status] = 1, --Running
	[LastInstanceID] = @InstanceID,
	[LastRun] = @StartTime
WHERE 
	[ID] = @ID
	
UPDATE [Instance]
	SET 
	[Result] = 0 
WHERE [ID] = @InstanceID
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO
CREATE PROCEDURE dbo.StepsGetListFavourite
AS
	SELECT Type, COUNT(ID) CountOfHandler
	FROM [dbo].[Steps]
	GROUP BY Type
	ORDER BY COUNT(ID) DESC
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO
CREATE PROCEDURE dbo.ProjectStatusRestart
AS
	UPDATE [dbo].[Projects] SET Status=3 WHERE Status=1
	UPDATE [dbo].[Steps] SET Status=4 WHERE Status=1
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO
CREATE PROCEDURE [dbo].[TriggersGetListRecent]
AS

	SELECT 
			[Triggers].[ID],
			[Triggers].[Name],
			[Triggers].[Content1],
			[Triggers].[Type],
			[Triggers].[ConfigurationData],
			[Triggers].[Status],
			[Triggers].[LastRun],
			[Triggers].[ViewControl],
			[Triggers].[EditControl],
			[Triggers].[Created],
			[Triggers].[CreatedBy],
			[Triggers].[Updated],
			[Triggers].[UpdatedBy],
			[ProjectTriggers].[Created]
	FROM [Triggers]
	LEFT JOIN [ProjectTriggers] ON [Triggers].[ID] = [ProjectTriggers].[TriggerID]
	ORDER BY [ProjectTriggers].[Created] DESC
GO
UPDATE [Configuration] SET [Value] = '2.11' WHERE [Name] = 'SchemaVersion'
GO
