﻿SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
ALTER TABLE [dbo].[Projects] ADD [Enabled] bit DEFAULT(1) NOT NULL
GO
ALTER TABLE [dbo].[Projects] ADD [Dashboard] int NULL
GO
CREATE TABLE [dbo].[Dashboards] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Description] nvarchar(MAX) NULL,
	[DefaultView] int DEFAULT(0) NOT NULL
)
GO
ALTER TABLE [dbo].[Dashboards] ADD CONSTRAINT [PK_Dashboards_C7636439] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
CREATE TABLE [dbo].[Groups] (
	[ID] int IDENTITY(1, 1) NOT NULL,
	[UID] uniqueidentifier DEFAULT(newid()) NOT NULL,
	[Name] nvarchar(255) NOT NULL,
	[Description] nvarchar(MAX) NULL
)
GO
ALTER TABLE [dbo].[Groups] ADD CONSTRAINT [PK_Groups_2E3DFFBC] PRIMARY KEY CLUSTERED ([ID] ASC) 
GO
INSERT INTO [dbo].[Groups] ([Name])
SELECT DISTINCT [Group] FROM [dbo].[Projects] WHERE [Group] IS NOT NULL AND [Group] NOT IN (SELECT [Name] FROM [dbo].[Groups]) ORDER BY [Group] 
GO
UPDATE [dbo].[Configuration] SET [Value] = '2.15' WHERE [Name] = 'SchemaVersion'
GO
INSERT INTO [Configuration] ([Type], [Name], [Description], [Value]) VALUES (1, 'DefaultProjectView', 'The default view to use for the Project List.', 'List')
GO
